Subject: bug#16274: 24.3.50; Error in post-command-hook (icomplete-post-command-hook): (invalid-function ("..." ...))

From: Drew Adams <[email-masked]>
Date: Sat, 4 Jan 2014 07:45:15 -0800 (PST)

> It's not often that I notice the error (in *Messages*, since the
> message itself is fleeting), but I'll try to keep an eye out for
> the new message and let you know.  (I added a noticeable STRING
> arg to the `cl-assert' form.)

Well, it didn't take that long.  In the same session (after loading
the patched minibuffer.el.  I did not get the `cl-assert' violation.
I got the same, original error:

  Error in post-command-hook (icomplete-post-command-hook):
  (wrong-type-argument stringp nil)

Well, actually, that's not the same error, but it is (IIRC)
the one I reported originally.

I've added some more debug with `stringp' assertions.  Will let
you know what I find out.